Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[postgres] pg_upgrade (résolu)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
sylvain.bonnemaison
Apprentice
Apprentice


Joined: 13 Jan 2008
Posts: 152

PostPosted: Wed Feb 02, 2011 7:51 am    Post subject: [postgres] pg_upgrade (résolu) Reply with quote

Bonjour,

Suite à la mise à jour de postgres 8.4 vers postgres 9.0, l'utilisation de l'outil de migration pg_upgrade me renvoi l'erreur suivante :
Code:
pg_upgrade -d /var/lib/postgresql/8.4/data/ -D /var/lib/postgresql/9.0/data/ -b /usr/lib64/postgresql-8.4/bin/ -B /usr/bin/ -u inforsure
Performing Consistency Checks
-----------------------------
Checking old data directory (/var/lib/postgresql/8.4/data) 
check for base failed:  Permission denied


J'utilise mon compte utilisateur lequel a été rattaché au groupe postgres.

J'ai suivi les indications de la doc postgres 9.0.3.

Quel est l'origine de ce problème ?

Merci


Last edited by sylvain.bonnemaison on Wed Feb 02, 2011 9:04 am; edited 1 time in total
Back to top
View user's profile Send private message
sylvain.bonnemaison
Apprentice
Apprentice


Joined: 13 Jan 2008
Posts: 152

PostPosted: Wed Feb 02, 2011 9:03 am    Post subject: Reply with quote

La migration s'est parfaitement réalisée en utilisant le compte utilisateur "postgres".
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum